BOTCH-WANNA-BUILD-SORTBLOCKERS(1)

NAME
botch-wanna-build-sortblockers - importance of source packages for ports

SYNOPSIS

botch-wanna-build-sortblockers [options] build-attempt-list importance-metric

DESCRIPTION
Filter the output of botch-calcportsmetric for "build-attempted" packages from wanna-build.

OPTIONS

-h, --help
    Show help.

-r, --reverse
    reverse the result of comparisons

-m, --min
    sort by minimum number of blocked source packages (default)

-M, --max
    sort by maximum number of blocked source packages

--min-popcon
    sort by minimum sum of popcon values of the blocked source packages

--max-popcon
    sort by maximum sum of popcon values of the blocked source packages

-v, --verbose
    Be verbose.

EXAMPLE
Either download an importance file:

 wget http://bootstrap.debian.net/importance_metric_noall.txt

Or generate it:

 zcat packages_amd64.gz | grep-dctrl -FArchitecture all > available
 botch-create_graph --deb-native-arch=amd64 --available=available --strongtype packages sources > strongbuildgraph.xml
 botch-buildgraph2srcgraph --deb-native-arch=amd64 strongbuildgraph.xml packages sources > strongsrcgraph.xml
 botch-create_graph --deb-native-arch=amd64 --available=available --closuretype packages sources > closurebuildgraph.xml
 botch-buildgraph2srcgraph --deb-native-arch=amd64 closurebuildgraph.xml packages sources > closuresrcgraph.xml
 botch-calcportsmetric --online strongsrcgraph.xml closuresrcgraph.xml > importance_metric_noall.txt

And then do:

 ssh buildd_arm64@buildd.debian-ports.org  wanna-build -A arm64 -d unstable -l  build-attempted > build-attempted
 botch-wanna-build-findblockers build-attempted importance_metric_noall.txt

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.